Name: gnats
Summary: GNU Problem Report Management System
Version: 3.104
Release: 1
Copyright: GPL
Group: Development/Tools
Source: ftp://ftp.cygnus.com/pub/gnats/gnats-3.104-beta.tar.gz
Patch: gnats-3.104-2.patch
BuildRoot: /var/tmp/gnats


%description
GNATS is a bug-tracking tool designed for use at a central "Support
Site".  Users who experience problems use electronic mail to
communicate these problems to "maintainers" at that Support Site.
GNATS partially automates the tracking of these "Problem Reports"
("PR"s) by:

   * organizing problem reports into a database and notifying
     responsible parties of suspected bugs;

   * allowing support personnel and their managers to edit and query
     accumulated bugs; and

   * providing a reliable archive of problems (and their subsequent
     solutions) with a given program.


%package db
Summary: GNATS database tree
Group: Development/Tools

%description db
This package contains the GNATS database skeleton.

GNATS is a bug-tracking tool designed for use at a central "Support
Site".  Users who experience problems use electronic mail to
communicate these problems to "maintainers" at that Support Site.
GNATS partially automates the tracking of these "Problem Reports"
("PR"s) by:

   * organizing problem reports into a database and notifying
     responsible parties of suspected bugs;

   * allowing support personnel and their managers to edit and query
     accumulated bugs; and

   * providing a reliable archive of problems (and their subsequent
     solutions) with a given program.


%prep
%setup -q -n gnats-3.104-beta
%patch -p1 -b .orig

%build
./configure --prefix=/usr --with-full-gnats
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install install-info

%pre
cut -d: -f1 /etc/passwd | grep -q gnats
if [ $? -ne 0 ]; then
    echo "Please create a user 'gnats' before installation"
    exit 1
fi

cut -d: -f1 /etc/group | grep -q gnats
if [ $? -ne 0 ]; then
    echo "Please create a group 'gnats' before installation"
    exit 1
fi


%pre db
cut -d: -f1 /etc/passwd | grep -q gnats
if [ $? -ne 0 ]; then
    echo "Please create a user 'gnats' before the installation"
    exit 1
fi

cut -d: -f1 /etc/group | grep -q gnats
if [ $? -ne 0 ]; then
    echo "Please create a group 'gnats' before the installation"
    exit 1
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc COPYING COPYING.LIB CYGNUS README ChangeLog
/usr/bin/query-pr
/usr/bin/nquery-pr
/usr/bin/edit-pr
/usr/bin/nedit-pr
/usr/bin/getclose
/usr/bin/sub-type
/usr/bin/send-pr
/usr/bin/install-sid
/usr/libexec/gnats
/usr/share/emacs/site-lisp/gnats.el
/usr/share/emacs/site-lisp/send-pr.el
/usr/man/man1/edit-pr.1
/usr/man/man1/query-pr.1
/usr/man/man1/gnats.1
/usr/man/man1/send-pr.1
/usr/man/man8/mkcat.8
/usr/man/man8/mkdist.8
/usr/man/man8/queue-pr.8
/usr/man/man8/file-pr.8
/usr/man/man8/rmcat.8
/usr/man/man8/gen-index.8
/usr/info/gnats.info
/usr/info/gnats.info-1
/usr/info/gnats.info-2
/usr/info/gnats.info-3
/usr/info/gnats.info-4
/usr/info/send-pr.info
/usr/info/standards.info
/usr/info/standards.info-1
/usr/info/standards.info-2
/usr/info/standards.info-3

%files db
/usr/share/gnats/gnats-db/gnats-queue
/usr/share/gnats/gnats-db/pending
/usr/share/gnats/dist
/usr/share/gnats/cygnus

%config /usr/share/gnats/gnats-db/gnats-adm/categories
%config /usr/share/gnats/gnats-db/gnats-adm/responsible
%config /usr/share/gnats/gnats-db/gnats-adm/submitters
%config /usr/share/gnats/gnats-db/gnats-adm/gnatsd.conf
%config /usr/share/gnats/gnats-db/gnats-adm/config

%changelog
* Mon Sep 8 1998 Michael Maher <mike@redhat.com>
- built package from contrib spec
